'use strict';
typeof CeL === 'function' && CeL.run({
	// name/id.
	name : 'extension.parent2',
	// dependency.
	require : 'extension.parent1.parent1_function|extension.loop2.|extension.loop1.loop1_function',
	// source code.
	code : function() {
		var library_namespace = this.base,
		// requiring
		parent1_function = this.r('parent1_function');

		function parent2_function(caller) {
			parent1_function(caller || 'parent2_function');
			library_namespace.loop1_function(caller || 'parent2_function');
		};

		// for inherit.
		function grant(subclass) {
		}

		return {
			parent2_function : parent2_function
		};
	}
});
